.card {
  // FUNCTIONALITY
  position: relative;
  @include clearfix;

  perspective: 150rem;
  height: 52rem;

  &__side {
    position: absolute;
    top: 0;
    left: 0;
    backface-visibility: hidden;
    overflow: hidden;
    transition: all 0.8s ease;
    box-shadow: 0 1.5rem 4rem rgba($color-black, 0.15);
    border-radius: 0.3rem;
    width: 100%;
    height: 52rem;
    font-size: 2rem;

    &--front {
      background-color: $color-white;
    }

    &--back {
      transform: rotateY(-180deg);

      &--1 {
        background-image: linear-gradient(
          to right bottom,
          $color-secondary-light,
          $color-secondary-dark
        );
      }

      &--2 {
        background-image: linear-gradient(
          to right bottom,
          $color-primary-light,
          $color-primary-dark
        );
      }

      &--3 {
        background-image: linear-gradient(
          to right bottom,
          $color-tertiary-light,
          $color-tertiary-dark
        );
      }
    }
  }

  &:hover &__side--front {
    transform: rotateY(180deg);
  }

  &:hover &__side--back {
    transform: rotateY(0);
  }

  // FRONT SIDE STYLING
  &__picture {
    clip-path: polygon(0 0, 100% 0, 100% 85%, 0 100%);
    height: 23rem;
    background-size: cover;
    background-blend-mode: screen;
    border-top-left-radius: 0.3rem;
    border-top-right-radius: 0.3rem;

    &--1 {
      background-image: linear-gradient(
          to right bottom,
          $color-secondary-light,
          $color-secondary-dark
        ),
        url(../img/nat-5.jpg);
    }

    &--2 {
      background-image: linear-gradient(
          to right bottom,
          $color-primary-light,
          $color-primary-dark
        ),
        url(../img/nat-6.jpg);
    }

    &--3 {
      background-image: linear-gradient(
          to right bottom,
          $color-tertiary-light,
          $color-tertiary-dark
        ),
        url(../img/nat-7.jpg);
    }
  }

  &__heading {
    position: absolute;
    top: 12rem;
    right: 2rem;
    width: 60%;
    font-size: 2.8rem;
    font-weight: 300;
    text-align: right;
    text-transform: uppercase;
    color: $color-white;
  }

  &__heading-span {
    box-decoration-break: clone;
    -webkit-box-decoration-break: clone;
    padding: 1rem 1.5rem;

    &--1 {
      background-image: linear-gradient(
        to right bottom,
        rgba($color-secondary-light, 0.85),
        rgba($color-secondary-dark, 0.85)
      );
    }

    &--2 {
      background-image: linear-gradient(
        to right bottom,
        rgba($color-primary-light, 0.85),
        rgba($color-primary-dark, 0.85)
      );
    }

    &--3 {
      background-image: linear-gradient(
        to right bottom,
        rgba($color-tertiary-light, 0.85),
        rgba($color-tertiary-dark, 0.85)
      );
    }
  }

  &__details {
    padding: 3rem;

    ul {
      margin: 0 auto;
      width: 80%;
      list-style: none;

      li {
        padding: 1rem;
        font-size: 1.5rem;
        text-align: center;

        &:not(:last-child) {
          border-bottom: 1px solid $color-grey-light-2;
        }
      }
    }
  }

  // BACK SIDE STYLING
  &__cta {
    @include absCenter;

    width: 90%;
    text-align: center;
  }

  &__price-box {
    margin-bottom: 8rem;
    text-align: center;
    color: $color-white;
  }

  &__price-only {
    font-size: 1.4rem;
    text-transform: uppercase;
  }

  &__price-value {
    font-size: 6rem;
    font-weight: 100;
  }

  //@include respond(tab-port) {
  @media only screen and (max-width: 56.25em), only screen and (hover: none) {
    box-shadow: 0 1.5rem 4rem rgba($color-black, 0.15);
    border-radius: 0.3rem;
    height: auto;
    background-color: $color-white;

    &__side {
      position: relative;
      box-shadow: none;
      height: auto;

      &--back {
        clip-path: polygon(0 15%, 100% 0, 100% 100%, 0 100%);
        transform: rotateY(0);
      }
    }

    &:hover &__side--front {
      transform: rotateY(0);
    }

    &__details {
      padding: 1rem 3rem;
    }

    // BACK SIDE STYLING
    &__cta {
      position: relative;
      top: 0;
      left: 0;
      transform: translate(0);
      width: 100%;
      padding: 7rem 4rem 4rem 4rem;
    }

    &__price-box {
      margin-bottom: 3rem;
    }

    &__price-value {
      font-size: 4rem;
    }
  }
}
